Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007431opensim[REGION] OpenSim Corepublic2015-01-29 07:452015-08-18 09:34
Reporteraiaustin 
Assigned Tojustincc 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS Version8.1
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007431: When saving IAR get many errors saying [SCENE OBJECT GROUP]: SavedScriptState element had no UUID
DescriptionOn a running OpenSim.exe that has no activity and no logged in avatars... I do

save iar Avatar Name / password savefile.oar

I get a normal start of the save iar as


15:39:52 - [INVENTORY ARCHIVER]: Saving archive 2015-01-29-AiLand-Ai-Austin-2.ia
r using inventory path / for Ai Austin
15:39:52 - [INVENTORY ARCHIVER]: Adding control file to archive.
15:39:52 - [INVENTORY ARCHIVER]: Creating version 0.3 IAR
15:39:52 - [INVENTORY ARCHIVER]: Found folder My Inventory 30d46cb6-6b54-4af3-a6
49-f9ba4feb52f3 at /

Then I get hundreds of thousands of yellow warnings (OpenSim.log went from less than 1MB to 40MB after only a minute or so) apparently unending.. errors all with same text. I cannot regain control and have to kill the OpenSim.exe process...

15:28:00 - [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit
15:28:00 - [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit
15:28:00 - [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit
15:28:00 - [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit
Additional InformationFull OpenSim.exe log does not show much more


2015-01-29 15:27:27,689 INFO - OpenSim.Region.CoreModules.Avatar.Inventory.Archiver.InventoryArchiverModule [INVENTORY ARCHIVER]: Saving archive 2015-01-29-AiLand-Ai-Austin.iar using inventory path / for Ai Austin

2015-01-29 15:27:27,704 INFO - OpenSim.Region.CoreModules.Avatar.Inventory.Archiver.InventoryArchiveWriteRequest [INVENTORY ARCHIVER]: Adding control file to archive.

2015-01-29 15:27:27,704 INFO - OpenSim.Region.CoreModules.Avatar.Inventory.Archiver.InventoryArchiveWriteRequest [INVENTORY ARCHIVER]: Creating version 0.3 IAR

2015-01-29 15:27:27,704 DEBUG - OpenSim.Region.CoreModules.Avatar.Inventory.Archiver.InventoryArchiveWriteRequest [INVENTORY ARCHIVER]: Found folder My Inventory 30d46cb6-6b54-4af3-a649-f9ba4feb52f3 at /

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit

2015-01-29 15:27:33,398 WARN - OpenSim.Region.Framework.Scenes.SceneObjectGroup [SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object Black Suede Blazer Suit
...
TagsNo tags attached.
Git Revision or version numberr/25747
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Filestxt file icon Unpacker.lsl.txt [^] (954 bytes) 2015-01-29 08:08 [Show Content]

- Relationships

-  Notes
(0027407)
aiaustin (developer)
2015-01-29 08:02
edited on: 2015-01-29 08:27

The item was a box obtained on the OSCC14 grid giving out Linda Kellie clothing with a single "unpacker" script. It was in inventory and not anywhere on the grid inworld.

I tried to rez it in world and that gave the same kind of error and I had to terminate the OpenSim.exe process.

I deleted that from the inventory of the avatar.. and cleared the trash and then tried the save iar again. This time I get VERY MANY warning of same kind but for a second item.. that is similarly from OSCC14 grid.

Note none of these errors have shown up in save iar when done just before Christmas. so problem is recent.
-----

[SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object
FleepGrid - Tweed Pants - Med Brown

-----
Then more... getting rid of them progressively...

[SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object
Mens dress shirts

[SCENE OBJECT GROUP]: SavedScriptState element had no UUID in object
Tiny AO

It seems that every distribution box or the unpacked item which were script containing attachments that was obtained while on OSCC14 grid back in November was the culprits. Once they were all removed and purges from trash, the save iar worked fine for 4800 items containing over 6800 other assets.

(0027408)
aiaustin (developer)
2015-01-29 08:08
edited on: 2015-01-29 08:28

Unpacker script was nothing fancy... attached. But I think its not the unpacker as such, its just any script inside an object obtained back in November 2014 on OSCC14 grid... as some head and other unpacked attachments also gave the same problem until removed from inventory.

WARN log entries made are REALLY extreme.. and all relate to ONE inventory items. 10MB of content went into OpenSim.log in what seemed like just a few seconds.

(0027409)
aiaustin (developer)
2015-01-29 08:43
edited on: 2015-01-29 08:44

IARs by the way are significantly smaller with roughly same level of content as back in November 2014.

300MB -> 178MB
120MB -> 80MB

Does that make sense - and does it relate to state not being saved in some way? It seems a big reduction and is a bit worrying.

(0027410)
Mata Hari (reporter)
2015-01-29 09:27

I was never able to get any items from OSCC2014 to make the HG voyage. The only solution I found was going the OSCC sandbox, rezzing to ground, opening the container, then copying the contents to a folder in (suitcase) inventory. At that point I was able to return to my own grid and rez them to ground from suitcase.
(0027854)
justincc (administrator)
2015-03-13 17:08

OSCC14 grid code suffered from various issues surrounding object serialization. These should be resolved as of git master 0aeea89 but objects taken during that time will be permanently problematic.
(0029250)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-01-29 07:45 aiaustin New Issue
2015-01-29 08:02 aiaustin Note Added: 0027407
2015-01-29 08:02 aiaustin Note Edited: 0027407 View Revisions
2015-01-29 08:02 aiaustin Note Edited: 0027407 View Revisions
2015-01-29 08:08 aiaustin Note Added: 0027408
2015-01-29 08:08 aiaustin File Added: Unpacker.lsl.txt
2015-01-29 08:10 aiaustin Note Edited: 0027407 View Revisions
2015-01-29 08:15 aiaustin Note Edited: 0027408 View Revisions
2015-01-29 08:16 aiaustin Note Edited: 0027407 View Revisions
2015-01-29 08:27 aiaustin Note Edited: 0027407 View Revisions
2015-01-29 08:28 aiaustin Note Edited: 0027408 View Revisions
2015-01-29 08:43 aiaustin Note Added: 0027409
2015-01-29 08:44 aiaustin Note Edited: 0027409 View Revisions
2015-01-29 08:44 aiaustin Note Edited: 0027409 View Revisions
2015-01-29 09:27 Mata Hari Note Added: 0027410
2015-03-13 17:08 justincc Note Added: 0027854
2015-03-13 17:08 justincc Status new => resolved
2015-03-13 17:08 justincc Resolution open => fixed
2015-03-13 17:08 justincc Assigned To => justincc
2015-08-18 09:34 aiaustin Note Added: 0029250
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker